diff --git a/waka/build b/waka/build
index 4d6664b..450f2cc 100644
--- a/waka/build
+++ b/waka/build
@@ -7,7 +7,7 @@ pacman --noconfirm -Sy #KERNEL# namcap
 tar xzfp #TARBALL#
 
 # run makepkg and log the output
-(makepkg -s --noconfirm --noprogressbar 2>&1 | tee makepkg.log)
+(makepkg -s --noconfirm --noprogressbar --asroot 2>&1 | tee makepkg.log)
 if [ $? -gt 0 ]; then
 	(echo ">>>>>>>>>> Error building <<<<<<<<<<" 1>>makepkg.log 2>&1)
 	exit 1
diff --git a/waka/quickinst b/waka/quickinst
index 3392be9..9a895a0 100644
--- a/waka/quickinst
+++ b/waka/quickinst
@@ -91,13 +91,8 @@ if [ "$INSTMODE" = "cd" ]; then
 	echo "Server = file://$PKGARG" >>/tmp/pacman.conf
 fi
 
-PKGLIST=
-# fix pacman list!
-sed -i -e 's/-i686//g' -e 's/-x86_64//g' $PKGFILE
-for i in $(cat $PKGFILE | grep 'base/' | cut -d/ -f2); do
-	nm=${i%-*-*}
-	PKGLIST="$PKGLIST $nm"
-done
+PKGLIST="base base-devel"
+mkdir -p $DESTDIR/var/lib/pacman
 mkdir -p $DESTDIR/var/cache/pacman
 # mount proc/sysfs first, so mkinitrd can use auto-detection if it wants
 ! [ -d $DESTDIR/proc ] && mkdir $DESTDIR/proc
@@ -106,7 +101,7 @@ mkdir -p $DESTDIR/var/cache/pacman
 mount -t proc none $DESTDIR/proc
 mount -t sysfs none $DESTDIR/sys
 mount -o bind /dev $DESTDIR/dev	
-$PACMAN -r $DESTDIR --config /tmp/pacman.conf -Sy $PKGLIST
+$PACMAN -r $DESTDIR --config /tmp/pacman.conf -Sy $PKGLIST --noconfirm
 umount $DESTDIR/proc $DESTDIR/sys $DESTDIR/dev
 if [ $? -gt 0 ]; then
 	echo
